From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rubytter/
Date: Tue, 16 Feb 2021 06:03:47 +0000 (UTC) [thread overview]
Message-ID: <1613455386.58ddebc459bd203242f5986c010b9956c3fb079f.graaff@gentoo> (raw)
commit: 58ddebc459bd203242f5986c010b9956c3fb079f
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 16 06:03:06 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Feb 16 06:03:06 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58ddebc4
dev-ruby/rubytter: EAPI=7; add ruby27
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/rubytter/rubytter-1.5.1-r2.ebuild | 25 +++++++++++++++++++++++++
1 file changed, 25 insertions(+)
diff --git a/dev-ruby/rubytter/rubytter-1.5.1-r2.ebuild b/dev-ruby/rubytter/rubytter-1.5.1-r2.ebuild
new file mode 100644
index 00000000000..7f8529cad3d
--- /dev/null
+++ b/dev-ruby/rubytter/rubytter-1.5.1-r2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc examples/*"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Rubytter is a simple twitter library"
+HOMEPAGE="https://wiki.github.com/jugyo/rubytter"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/json-1.1.3:* >=dev-ruby/oauth-0.3.6"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/d' -e '/check_dependencies/ s:^:#:' Rakefile || die
+}
next reply other threads:[~2021-02-16 6:03 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-16 6:03 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-09-15 10:09 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rubytter/ Hans de Graaff
2023-08-29 14:26 Hans de Graaff
2023-04-10 22:17 Sam James
2023-04-10 22:17 Sam James
2022-12-04 9:19 Hans de Graaff
2022-12-04 9:19 Hans de Graaff
2021-07-03 7:22 Hans de Graaff
2019-05-04 19:14 Hans de Graaff
2018-09-06 5:32 Hans de Graaff
2017-09-24 7:10 Hans de Graaff
2017-06-28 6:09 Hans de Graaff
2017-04-23 6:02 Hans de Graaff
2016-03-17 0:34 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1613455386.58ddebc459bd203242f5986c010b9956c3fb079f.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox